Tags: , , , , , , , 779, Posted in 软言软语 我抢沙发

新近安装了Ubuntu 8.10,并且升级各种更新包到最新。

由于工作需要,
需要访问布置了RealVNC的一堆Windows服务器进行日常维护管理,
其中,服务器安装了RealVNC Enterprise Edition v4.3.2, 客户端为Ubuntu 8.10,

关于安装的VNC viewer,
可以说新立得里面有的,我全部都安装测试了,没有一个能用!

不论是直接执行还是通过“终端伺服器用户端”调用,
统统报告“No match security type”(没有匹配的安全类型),
头大了,
虽然可以通过RDP连接到终端桌面,但那是虚拟桌面,且服务器只布置了VNC,

经过翻阅新立得的程序说明和各类资料,
发现主要是协议问题,RFB的版本过低,新立得里的Viewer最高只能支持RFB 3.8
但是RealVNC Enterprise Edition v4.3.2使用的是RFB 4.0
问题知道了,但是哪里去找支持RFB 4.0的Viewer呢?又折腾了半天~

最终,在RealVNC网站找到二进制(bin)的客户端,
有各个OS的Viewer,包括Solaris, Windows, Linux etc, 就是不提供Source,

不过,好在问题解决了,
下载了对应的4.3.2的Viewer,并同时测试了最新的4.4.2的Viewer,
都支持RFB 4.0,OK,问题解决。

后来发现,
新立得里面提供的几个Viewer似乎是RealVNC释出的免费版本(Free edition)使用的源码,
而官方提供的最高版本为:VNC Free Edition 4.1。

结论:以后遇到高版本RFB的VNC Server,试试RealVNC最新的Viewer吧~

下载: http://www.realvnc.com/cgi-bin/download.cgi (填写表单后就出来了)

Related Posts

November 29, 2008